library work;

entity fpga_common is
port
(
    inputs:  in  std_logic;
    outputs: out std_logic
);
end fpga_common;

architecture fpga_common_arch of fpga_common is
begin

    u_reset_synchronizer: entity work.reset_synchronizer(reset_synchronizer_arch)
    port map
    (
        inputs  => inputs,
        outputs => outputs
    );

    u_cpu_bus_interface: entity work.bus_interface_top(bus_interface_top_arch)
    port map
    (
        inputs  => inputs,
        outputs => outputs
    );

    u_timers: entity work.timers(timers_arch)
    port map
    (
        inputs  => inputs,
        outputs => outputs
    );

    u_alu: entity work.alu(alu_arch)
    port map
    (
        inputs  => inputs,
        outputs => outputs
    );

    u_alu2: entity work.alu(alu_arch)
    port map
    (
        inputs  => inputs,
        outputs => outputs
    );

    u_monitor_5v: entity work.monitor_5v(monitor_5v_arch)
    port map
    (
        inputs  => inputs,
        outputs => outputs
    );

end architecture fpga_common_arch;
